
import bpy

panel_names = (
    "POLEMAKER_PT_PoleObjectMode",
)

def update_panel(self, context):
    message = "Updating Panel locations has failed"

    panels = [getattr(bpy.types, name) for name in panel_names]
    addon_name = __package__
    
    try:
        for panel in panels:
            if "bl_rna" in panel.__dict__:
                bpy.utils.unregister_class(panel)

        for panel in panels:
            panel.bl_category = context.preferences.addons[addon_name].preferences.category
            bpy.utils.register_class(panel)

    except Exception as e:
        print("\n[{}]\n{}\n\nError:\n{}".format(addon_name, message, e))
        pass
